Bug 75016 - Background not refreshed when changing desktops
Background not refreshed when changing desktops
Product: Red Hat Linux
Classification: Retired
Component: kdebase (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2002-10-03 14:57 EDT by Ian Pilcher
Modified: 2007-04-18 12:47 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-10-07 16:39:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ian Pilcher 2002-10-03 14:57:28 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020830

Description of problem:
Using KDE, when switching between virtual desktops the background wallpaper is
not refreshed.  The correct background can be revealed by switching to another
virtual terminal and then switching back, or by "wiping" the screen with any
application window.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Assign different wallpapers to different virtual desktops.
2. Switch between virtual desktops, the background will not change.
3. Switch to another virtual terminal and back to reveal the correct background.

Additional info:

Video card is Matrox Millenium G200 AGP.
Comment 1 Ngo Than 2002-10-04 17:01:38 EDT
You have to disable "common Background" in this menu. after that it should work
Comment 2 Ian Pilcher 2002-10-07 13:28:51 EDT
I had to disable "common background" before I could even set different backgrounds
for different virtual desktops.  Please note the fact that I can cause the correct
background to display by switching to a different virtual terminal and back,
forcing the background to be redrawn.
Comment 3 Ian Pilcher 2002-10-07 16:38:58 EDT
This bug only appears when "Enable Icons on Desktop" is unselected in the KDE
Control Center.
Comment 4 Ngo Than 2002-10-08 16:15:10 EDT
strange, it works for me even i have unselected "enable Icons on Desktop" and
"Common background". I really cannot reproduce it on many local machine here.

Sorry, i close it as wontfix again

Note You need to log in before you can comment on or make changes to this bug.